#
# spec file for package xengine
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xengine
Version:        1.11
Release:        1119.2
Summary:        Reciprocating engine for X
License:        ISC
Group:          Productivity/Scientific/Physics
Source:         %{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-pi.patch
Patch1:         %{name}-%{version}-warnings-fix.patch
BuildRequires:  imake
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xt)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define _xorg7libs %_lib
%define _xorg7libs32 lib
%define _xorg7bin bin
%define _xorg7_mandir %_mandir
%define _xorg7pixmaps include
%define _xorg7libshare share
%define _xorg7_xkb /usr/share/X11/xkb
%define _xorg7_termcap /usr/lib/X11/etc
%define _xorg7_serverincl /usr/include/xorg
%define _xorg7_fonts /usr/share/fonts
#%define _xorg7_config /usr/share/X11/config #use libshare macro
%define _xorg7_prefix /usr

%description
Xengine displays a reciprocating engine in a window and is a benchmark
for X.

%prep
%autosetup -p0

%build
xmkmf -a
make %{?_smp_mflags} CCOPTIONS="%optflags"

%install
make "DESTDIR=$RPM_BUILD_ROOT" install install.man

%files
%defattr(-,root,root)
/usr/%{_xorg7bin}/xengine
%doc %{_xorg7_mandir}/man1/xengine.1x*

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Tue Nov  7 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Sat Nov  1 2014 crrodriguez@opensuse.org
- Switch to individual pkgconfig() buildrequires instead
  of using metapackage xorg-x11-devel
* Tue Oct 14 2014 jengelh@inai.de
- Use %%_smp_mflags for parallel build and remove ancient
  specfile tags and sections
* Wed Mar 28 2012 cfarrell@suse.com
- license update: ISC
  Obligations in this packages^s licenses are most akin to the ISC license
  (http://www.spdx.org/licenses/ISC)
* Mon Nov  8 2010 coolo@novell.com
- remove support for pre-9.1
* Tue Aug  8 2006 lmichnovic@suse.cz
- compiling with RPM_OPT_FLAGS
- patch *.dif renamed to xengine-1.11-pi.patch
* Fri Jul 28 2006 lmichnovic@suse.cz
- builds also with new X.org 7.x, detecting prefix in X.org
- building with icecream
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue May  4 2004 postadal@suse.cz
- fixed gcc warnings
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Tue Nov 21 2000 cihlar@suse.cz
- fixed copyright
- clean up spec file
* Fri May 19 2000 cihlar@suse.cz
- Group sorted
* Tue Apr 11 2000 cihlar@suse.cz
- added BuildRoot
* Tue Jan 25 2000 ro@suse.de
- update to 1.11
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep  9 1999 bs@suse.de
- fixed call of Check at the end of %%install section
* Fri Sep 12 1997 ro@suse.de
- first suse version
